/*
 * file: pv_ev.h
 * This file is part of the libpv library.
 *
 * Copyright 2005 Pengutronix
 *
 * Please send bug reports to bugs@pengutronix.de
 *
 * See COPYING for the status of this software.
 */

#ifndef PV_EV_H
#define PV_EV_H

#include <libpv_config.h>

#include <errno.h>
#include <sys/sem.h>
#include <sys/stat.h>
#include <sys/types.h>

#include <pv_types.h>

#ifdef CONFIG_EVENT
extern int pv_event_init_handling	(struct pv_engine	*engine,
					 const char		*store_filename);

extern int pv_event_exit_handling	(struct pv_engine	*engine);
#else	/* CONFIG_EVENT */

static inline int pv_event_init_handling(struct pv_engine	*engine,
					 const char		*store_filename)
{
	return 0;
}

static inline int pv_event_exit_handling(struct pv_engine	*engine)
{
	return 0;
}
#endif	/* CONFIG_EVENT */

#endif /* PV_EV_H */
